# Values for QGIS Server

# Set name, if you do not want to use the chart name as common base name
# for any QGIS Server Kubernetes component
name:

qgis:
  #----------------------------------
  # QGIS Server general configuration
  #----------------------------------
  data_dir: "{{ default.qgis_settings.qgis_data_dir }}"
  lang: "en_EN.UTF-8"
  # project_file: "{{ default.qgis_settings.env_QGIS_PROJECT_FILE }}"
  server_log_level: "{{ default.qgis_settings.env_QGIS_SERVER_LOG_LEVEL }}"
  debug: "{{ default.qgis_settings.env_DEBUG }}"

  # Settings for pg_service.conf
  pgservicefile_dir: "{{ default.qgis_settings.pgservicefile_dir }}"
  pgservicefile: "{{ default.qgis_settings.pgservicefile }}"

  # Values for pg_service.conf
  postgis_service: "{{ default.qgis_settings.postgis_service }}"
  postgis_host: "{{ helm_values.postgis_host }}"
  postgis_port: {{ default.qgis_settings.postgis_port }}
  postgis_dbname: "{{ helm_values.postgis_dbname }}"
  postgis_user: "{{ helm_values.postgis_user }}"
  postgis_user_password: "{{ helm_values.postgis_user_password }}"
  postgis_sslmode: "{{ default.qgis_settings.postgis_sslmode }}"

  # Values for pg_service.conf
  postgis_events_service: "{{ default.qgis_settings.postgis_events_service }}"
  postgis_events_dbname: "{{ helm_values.postgis_events_dbname }}"
  
  # Values for pg_service.conf
  timescale_service: "{{ default.qgis_settings.timescale_service }}"
  timescale_host: "{{ helm_values.timescale_host }}"
  timescale_port: {{ default.qgis_settings.timescale_port }}
  timescale_dbname: "{{ helm_values.timescale_dbname }}"
  timescale_user: "{{ helm_values.timescale_user }}"
  timescale_user_password: "{{ helm_values.timescale_user_password }}"
  timescale_sslmode: "{{ default.qgis_settings.timescale_sslmode }}"

  mapserverURL: "https://{{ default.masterportal_settings.ingress_host }}/mapserver"
  supersetURL: "https://superset.{{ DOMAIN }}"

  #----------------------------------
  # QGIS Server configuration
  #----------------------------------
  server:
    image:
      registry: "{{ default.qgis_settings.server_image_registry }}"
      repository: "{{ default.qgis_settings.server_image_repository }}"
      tag: "{{ default.qgis_settings.server_image_tag }}"
      pullPolicy: {{ default.qgis_settings.server_image_pullPolicy }}

    imagePullSecrets: [{"name": "{{ default.qgis_settings.server_image_pullSecrets }}"}]

    # Deployment settings
    replicas: {{ default.qgis_settings.server_replicaCount }}
    ports:
      servicePort: {{ default.qgis_settings.server_service_port }}
      targetPort: {{ default.qgis_settings.server_target_port }}

  #----------------------------------
  # QGIS HTTP configuration
  #----------------------------------
  http:
    image:
      registry: docker.io
      repository: nginx
      tag: stable
      pullPolicy: IfNotPresent

    # Deployment settings
    replicas: {{ default.qgis_settings.http_replicaCount }}
    ports:
      servicePort: {{ default.qgis_settings.http_service_port }}
      targetPort: {{ default.qgis_settings.http_target_port}}
    #  nodePort: {{ default.qgis_settings.http_service_nodePort }}

nginx:
  #----------------------------------
  # Nginx configuration
  #----------------------------------
  default_conf: "{{ default.qgis_settings.nginx_default_conf }}"
  qgis_conf: "{{ default.qgis_settings.nginx_qgis_conf }}"
  server_name: "{{ default.qgis_settings.nginx_server_name }}"
  cors_origin: "{{ default.qgis_settings.nginx_cors_origin }}"

ingress:
  enabled: false
  annotations:
    kubernetes.io/ingress.class: {{ inv_k8s.ingress_class }}
    kubernetes.io/tls-acme: "true"
  hosts:
    - host: {{ default.qgis_settings.ingress_host }}
      paths:
        - path: {{ default.qgis_settings.ingress_host_path }}

  tls:
    - secretName: {{ default.qgis_settings.ingress_tls_secret }}
      hosts:
        - {{ default.qgis_settings.ingress_host }}

deploymentAnnotations: 
  keel.sh/policy: force
  keel.sh/match-tag: "true"
  keel.sh/trigger: poll
  keel.sh/pollSchedule: "@every 5m"  